local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

dofile(mod_path .. "/mapgen/levels/" .. "0.lua")
dofile(mod_path .. "/mapgen/levels/" .. "1.lua")
dofile(mod_path .. "/mapgen/levels/" .. "2.lua")
dofile(mod_path .. "/mapgen/levels/" .. "5.lua")
dofile(mod_path .. "/mapgen/levels/" .. "12.lua")
dofile(mod_path .. "/mapgen/levels/" .. "17.lua")
dofile(mod_path .. "/mapgen/levels/" .. "31.lua")
dofile(mod_path .. "/mapgen/levels/" .. "37.lua")
dofile(mod_path .. "/mapgen/levels/" .. "45.lua")
dofile(mod_path .. "/mapgen/levels/" .. "51.lua")
dofile(mod_path .. "/mapgen/levels/" .. "62.lua")
dofile(mod_path .. "/mapgen/levels/" .. "84.lua")
dofile(mod_path .. "/mapgen/levels/" .. "96.lua")
dofile(mod_path .. "/mapgen/levels/" .. "167.lua")
dofile(mod_path .. "/mapgen/levels/" .. "180.lua")

-- sort levels after all mods loaded
minetest.register_on_mods_loaded(function()
    br_core.sort_levels()
end)

br_core.achievements.register_default(0)
br_core.achievements.register_default(1)
br_core.achievements.register_default(2)
br_core.achievements.register_default(5)
br_core.achievements.register_default(12)
br_core.achievements.register_default(17)
br_core.achievements.register_default(31)
br_core.achievements.register_default(37)
br_core.achievements.register_default(45)
br_core.achievements.register_default(51)
br_core.achievements.register_default(62)
br_core.achievements.register_default(84)
br_core.achievements.register_default(96)
br_core.achievements.register_default(167)
br_core.achievements.register_default(180)
